For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
          • GETGet Orders
          • GETGet Order
          • PUTPlace Order
          • GETGet Fulfillments
          • POSTReport Errors
LogoLogo
RESTFeedAMP Order SourceOrders

Get Fulfillments

GET
https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/:mp_order_number/fulfillments
GET
/api/v1/orders/:mp_order_number/fulfillments
$curl https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/fulfillments \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "status": "PARTIALLY_FULFILLED",
3 "is_marketplace_fulfilled": false,
4 "fulfillments": [
5 {
6 "mp_line_number": "AB-123-CD-4567",
7 "shipments": [
8 {
9 "quantity": 2,
10 "carrier": "FedEx",
11 "tracking_number": "1Z999AA10123456784",
12 "shipped_date": "2024-04-20",
13 "tracking_url": "https://www.fedex.com/apps/fedextrack/?tracknumbers=1Z999AA10123456784"
14 }
15 ],
16 "cancellations": [
17 {
18 "quantity": 1,
19 "reason": "out_of_stock"
20 }
21 ],
22 "status": "PARTIALLY_FULFILLED",
23 "pending": {
24 "quantity": 1
25 }
26 }
27 ]
28}

Get the seller-supplied fulfillment information for all order lines in an order

Was this page helpful?
Previous

Place Order

Next

Report Errors

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

mp_order_numberstringRequired
The unique Id for an order that is generated by the marketplace

Response

Successful retrieval of seller fulfillments
statusenum
The status of the fulfillments <ul>
  • PENDING - No fulfillment information is available for the order
  • PARTIALLY_FULFILLED - Order has been partially fulfilled/cancelled. One or more items are unaccounted for
  • COMPLETE - The order has been completely fulfilled
  • </ul>
    Allowed values:
    is_marketplace_fulfilledboolean
    Whether the order is fulfilled by the marketplace, and no further action is required by the seller to fulfill <ul>
  • True - The order is fulfilled by the marketplace
  • False - The seller must fulfill the order
  • </ul>
    fulfillmentslist of objects
    List of shipments and cancellations for each order line

    Errors

    401
    Unauthorized Error
    404
    Not Found Error